<?php
/** active.php
 * 
 * This script is meant to be called from a cronjob to to check for inactive students 
 * 
 * 
 * Recommended execution syntax (depends where your php cli is):
 *
* /usr/bin/php -c /etc/php4/apache2/php.ini -d memory_limit=128M /usr/local/www/moodle/augsburg/active.php
 * 

 *    
 */


if(!empty($_SERVER['GATEWAY_INTERFACE'])){
    error_log("should not be called from apache!");
    exit;
}



require_once(dirname(dirname(__FILE__)).'/config.php'); // global moodle config file.

require_once($CFG->dirroot.'/course/lib.php');
require_once($CFG->dirroot.'/lib/blocklib.php');
require_once($CFG->dirroot.'/mod/resource/lib.php');
require_once($CFG->dirroot.'/auth/ldap/lib.php');
require_once($CFG->dirroot.'/mod/forum/lib.php');

// use whatever variable you want here and below
$fallonlinemessage = "This is the text of the message sent to faculty.\n Enter whatever you want.";

// use whatever variable you want here and below
$helper1 = array ( krajewsk , krajewski );


// This sends a message to instructors in course 21 checking for student activity within 5 days
// and sending the same message to users with username krajewsk and krajewski who are "helpers."
// you can also add another parameter, a boolean variable for debugging,  see function for details
 contact_inactive_students_log('21','5',$fallonlinemessage,$helper1);


?>
